{
	saved_yet [0]

	Init[ ()
	{
		if( saved_yet = 0 )
		{
			saved_yet = 1;

			SetNationality(2);
			//SetCrouching();
			AddRotationTurn(127);
			GiveWeapon(44); // Bren
			SetInvulnerable( true );
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=10 )
		{
			BlowBridge();
		}
		if( dy=20 )
		{
			if( Level.saved_Bridge_NumSpawn < Level.Bridge_MaxSpawn )
			{
				Level.saved_Bridge_NumSpawn = toInt(Level.saved_Bridge_NumSpawn + 1);
				Level.CreateEntity( 176, 30835, 18956, -2960 );
			}
		}
		if( dy=30 )
		{
			SetBaseRotation(0,0,180);
			GoPatrol();
		}
		if( dy=50 )
		{
			Level.saved_EnableFinalWave = 0;
			Level.GetPlayer().PlaySound(130);
			Delay(15,51);
		}
		if( dy=51 )
		{
			Level.SlaughterAll();
		}
	}]

	GoPatrol[ ()
	{
		SetState_Patrol(0);
		SetWander(0);
		SetLineOfSight(0);
		SetAttackDistance(15,10);
	}]

	BlowBridge[ ()
	{
		Level.ObjectiveComplete(0);
		Level.SetObjectiveActive( 0, false );
		Level.SetObjectiveActive( 1, true );
		UnAttach(83,77);
		FollowPath( "BridgeTrail", 0 );
		FollowPathCallback( 2, "StartOnslaught" );
	}]

	StartOnslaught[ ()
	{
		ShowEntity( false );

		Level.CreateEntity( 176, 30835, 18956, -2960 );
		Level.saved_Bridge_NumSpawn = 1;
	}]

	ReturnToTruck[ ()
	{
		ShowEntity(true);
		FollowPath( "ReturnTruck" );
		FollowPathCallback( 1, "ExplodeBridge" );
		FollowPathCallback( 127, "BackInTruck" );
	}]
	BackInTruck[()
	{
		Level.saved_AtBridge = 0;

		SetCrouching();
		PlayAnimation(8);

		rRide = Level.GetEntity("rTruck1");
		AttachTo( rRide, 5 );
		GoPatrol();
		rRide.PlaySound( 126, 100, 1, 255 );
		Level.saved_IsPlaying_TruckDrive = 1;
		rRide.EnterTunnelOne();

		Level.GetPlayer().DeleteInventoryItemOfType( 62 );

		Level.ObjectiveComplete(1);
		Level.SetObjectiveActive( 1, false );
		Level.SetObjectiveActive( 2, true );
	}]

	ExplodeBridge[ ()
	{
		xPos = 25258;
		yPos = 21525;
		zPos = -4736;

		Level.GetPlayer().PlaySound(3);
		Level.CreateEffect(55,61,0,xPos,yPos,zPos,128,14,72,72);
	}]
}